NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SheetMetal::EditCornerBuilder Class Reference

Represents a NXOpen::Features::SheetMetal::EditCornerBuilder
To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateEditCornerBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::SheetMetal::EditCornerBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  BendClosureTypeOptions { BendClosureTypeOptionsOpen, BendClosureTypeOptionsClosed }
 This enum specifies the type of bend closure required at the corner. More...
 
enum  CornerReliefTypeOptions { CornerReliefTypeOptionsNone, CornerReliefTypeOptionsCircularCutout }
 This enum specifies the type of relief required at the corner. More...
 
enum  PlateClosureTypeOptions { PlateClosureTypeOptionsClosed, PlateClosureTypeOptionsOverlapped }
 This enum specifies the type of plate closure required at the corner. More...
 

Public Member Functions

void AddFacePair (NXOpen::Face *firstFace, NXOpen::Face *secondFace)
 Add a face pair. More...
 
NXOpen::Features::SheetMetal::EditCornerBuilder::BendClosureTypeOptions BendClosureType ()
 Returns the bend type
Created in NX7.5.0. More...
 
NXOpen::Features::SheetMetal::EditCornerBuilder::CornerReliefTypeOptions CornerReliefType ()
 Returns the corner relief type
Created in NX7.5.0. More...
 
NXOpen::ExpressionDiameter ()
 Returns the diameter for a circular cutout
Created in NX7.5.0. More...
 
void GetFacePair (int index, NXOpen::Face **firstFace, NXOpen::Face **secondFace)
 Return the face pair. More...
 
int GetNumberOfFacePairs ()
 Returns the number of face pairs already identified for the three bend corner feature. More...
 
NXOpen::ExpressionOverlapRatio ()
 Returns the overlap ratio between plates
Created in NX7.5.0. More...
 
NXOpen::Features::SheetMetal::EditCornerBuilder::PlateClosureTypeOptions PlateClosureType ()
 Returns the plate type
Created in NX7.5.0. More...
 
NXOpen::ExpressionPlateGap ()
 Returns the gap value between plates
Created in NX7.5.0. More...
 
void RemoveFacePair (NXOpen::Face *firstFace, NXOpen::Face *secondFace)
 Removes a face pair (that represents a unique corner) from the list of face pairs already added. More...
 
bool ReverseOverlap ()
 Returns whether the overlap is reversed or not
Created in NX7.5.0. More...
 
void SetBendClosureType (NXOpen::Features::SheetMetal::EditCornerBuilder::BendClosureTypeOptions bends)
 Sets the bend type
Created in NX7.5.0. More...
 
void SetCornerReliefType (NXOpen::Features::SheetMetal::EditCornerBuilder::CornerReliefTypeOptions cornerRelief)
 Sets the corner relief type
Created in NX7.5.0. More...
 
void SetPlateClosureType (NXOpen::Features::SheetMetal::EditCornerBuilder::PlateClosureTypeOptions plates)
 Sets the plate type
Created in NX7.5.0. More...
 
void SetReverseOverlap (bool reverseOverlap)
 Sets whether the overlap is reversed or not
Created in NX7.5.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::SheetMetal::EditCornerBuilder
To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateEditCornerBuilder
Default values.

Property Value

BendClosureType

Open

CornerReliefType

None

Diameter.Value

2.5 (millimeters part), 0.1 (inches part)

OverlapRatio.Value

1

PlateClosureType

Closed

PlateGap.Value

0 (millimeters part), 0 (inches part)


Created in NX7.5.0.

Member Enumeration Documentation

This enum specifies the type of bend closure required at the corner.

Enumerator
BendClosureTypeOptionsOpen 

open

BendClosureTypeOptionsClosed 

closed

This enum specifies the type of relief required at the corner.

Enumerator
CornerReliefTypeOptionsNone 

none

CornerReliefTypeOptionsCircularCutout 

circular cutout

This enum specifies the type of plate closure required at the corner.

Enumerator
PlateClosureTypeOptionsClosed 

closed

PlateClosureTypeOptionsOverlapped 

overlapped

Member Function Documentation

void NXOpen::Features::SheetMetal::EditCornerBuilder::AddFacePair ( NXOpen::Face firstFace,
NXOpen::Face secondFace 
)

Add a face pair.


Created in NX7.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
firstFaceA bend face from a bend
secondFaceA bend face from an adjacent bend
NXOpen::Features::SheetMetal::EditCornerBuilder::BendClosureTypeOptions NXOpen::Features::SheetMetal::EditCornerBuilder::BendClosureType ( )

Returns the bend type
Created in NX7.5.0.



License requirements : None

NXOpen::Features::SheetMetal::EditCornerBuilder::CornerReliefTypeOptions NXOpen::Features::SheetMetal::EditCornerBuilder::CornerReliefType ( )

Returns the corner relief type
Created in NX7.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::EditCornerBuilder::Diameter ( )

Returns the diameter for a circular cutout
Created in NX7.5.0.



License requirements : None

void NXOpen::Features::SheetMetal::EditCornerBuilder::GetFacePair ( int  index,
NXOpen::Face **  firstFace,
NXOpen::Face **  secondFace 
)

Return the face pair.


Created in NX7.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
indexIndex of the desired face pair
firstFaceFirst face of the face pair
secondFaceSecond face of the face pair
int NXOpen::Features::SheetMetal::EditCornerBuilder::GetNumberOfFacePairs ( )

Returns the number of face pairs already identified for the three bend corner feature.

Returns
The number of face pairs currently identified
Created in NX7.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Features::SheetMetal::EditCornerBuilder::OverlapRatio ( )

Returns the overlap ratio between plates
Created in NX7.5.0.



License requirements : None

NXOpen::Features::SheetMetal::EditCornerBuilder::PlateClosureTypeOptions NXOpen::Features::SheetMetal::EditCornerBuilder::PlateClosureType ( )

Returns the plate type
Created in NX7.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::SheetMetal::EditCornerBuilder::PlateGap ( )

Returns the gap value between plates
Created in NX7.5.0.



License requirements : None

void NXOpen::Features::SheetMetal::EditCornerBuilder::RemoveFacePair ( NXOpen::Face firstFace,
NXOpen::Face secondFace 
)

Removes a face pair (that represents a unique corner) from the list of face pairs already added.


Created in NX7.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
firstFaceA face from an already selected face pair
secondFaceThe other face from the face pair
bool NXOpen::Features::SheetMetal::EditCornerBuilder::ReverseOverlap ( )

Returns whether the overlap is reversed or not
Created in NX7.5.0.



License requirements : None

void NXOpen::Features::SheetMetal::EditCornerBuilder::SetBendClosureType ( NXOpen::Features::SheetMetal::EditCornerBuilder::BendClosureTypeOptions  bends)

Sets the bend type
Created in NX7.5.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
bendsbends
void NXOpen::Features::SheetMetal::EditCornerBuilder::SetCornerReliefType ( NXOpen::Features::SheetMetal::EditCornerBuilder::CornerReliefTypeOptions  cornerRelief)

Sets the corner relief type
Created in NX7.5.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
cornerReliefcornerrelief
void NXOpen::Features::SheetMetal::EditCornerBuilder::SetPlateClosureType ( NXOpen::Features::SheetMetal::EditCornerBuilder::PlateClosureTypeOptions  plates)

Sets the plate type
Created in NX7.5.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
platesplates
void NXOpen::Features::SheetMetal::EditCornerBuilder::SetReverseOverlap ( bool  reverseOverlap)

Sets whether the overlap is reversed or not
Created in NX7.5.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
reverseOverlapreverseoverlap

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.